Page 1 of 1

LV для "Малинки"

PostPosted: 05 Nov 2019, 14:50
by kiparym
Здравствуйте коллеги!
У меня появилась необычная, для меня, задача – установить на микро ПК «Raspberry Pi B3+ » автономные программы на LV.
Прошу совета. Следует ли мне переходить на LINX (я его не знаю), и вообще - что необходимо для работы?

Re: LV для "Малинки"

PostPosted: 05 Nov 2019, 15:46
by Kosist
Вы смотрели по этой ссылке? https://knowledge.ni.com/KnowledgeArtic ... CN&l=cs-SK (там потом есть ссылка на https://forums.ni.com/t5/Community-Docu ... -p/3538961).

Re: LV для "Малинки"

PostPosted: 06 Nov 2019, 05:09
by kiparym
Спасибо за рекомендацию!
Цепочка: Raspberry Pi + LabVIEW 2019 + MakerHub-LINX
Под управлением «LabVIEW2019 myRIO Toolkit” работает в Windows 7.

Re: LV для "Малинки"

PostPosted: 08 Nov 2019, 10:34
by Usss
Заработало в 2019? Это все вроде работало только в LV14, а в старших версиях поддержка прекратилась

Re: LV для "Малинки"

PostPosted: 11 Nov 2019, 16:00
by kiparym
Usss, вы были правы, я ошибся.
LV2019 не поддерживает «Raspberry»

Re: LV для "Малинки"

PostPosted: 27 Nov 2019, 00:17
by Kosist
kiparym, кстати, есть свежая публикация на эту тему - https://ekerry.wordpress.com/2019/11/26 ... pberry-pi/. Правда там идет речь о LabVIEW 2020 Community Edition Beta, однако не думаю что :labview: 2020 кардинально отличается от :labview: 2019.

Re: LV для "Малинки"

PostPosted: 27 Nov 2019, 11:35
by kiparym
Kosist! Спасибо за информацию. Похоже дело не версии LabVIEW. Всё зависит от «MakerHub». Он устанавливается даже на LV-11. Пока подключиться не удалось.
Временно прекратил свои работы – мои эксперименты с высшими LW «загубили» мои программы для LV-11.
Мне пришлось перетранслировать ряд ПО назад в LV-11, т.к. некоторые модули из LV-11 перестали работать. В причинах не стал разбираться.

Re: LV для "Малинки"

PostPosted: 27 Nov 2019, 13:05
by Borjomy_1
kiparym, да потому что не надо мешать версии. Уже многократно было сказано. Малина работает ТОЛЬКО в версии 2014.